package cn.com.ty.lift.business.library.dao.mapper;

import cn.com.ty.lift.business.library.dao.entity.Lift;
import cn.com.ty.lift.business.library.dao.entity.model.LiftRequest;
import cn.com.ty.lift.business.library.dao.entity.model.LiftResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案数据层
 */
public interface LiftMapper extends BaseMapper<Lift> {

    List<LiftResponse> findByCondition(IPage page, @Param("request") LiftRequest request);

}