package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.MtCompanyUser;
import cn.com.ty.lift.system.user.dao.entity.model.MtCompanyRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author huangyuan
 * @date 2019-12-03
 * @description
 */
public interface IMtCompanyUserService extends IService<MtCompanyUser> {
    /**
     * @description 分配角色和职业
     * @date 2019/11/27 10:03 AM
     * @param mtCompanyRequest userId:用户id, roleId:角色id, job职业, companyId公司id
     * @return
     */
    RestResponse assignRole(MtCompanyRequest mtCompanyRequest);

    /**
     * @description 获取公司团队信息
     * @date 2019/11/27 10:03 AM
     * @param mtCompanyRequest:公司id
     * @return
     */
    RestResponse getCompanyMembers(MtCompanyRequest mtCompanyRequest);
}
