package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificateHistory;
import cn.com.ty.lift.enterprise.oa.mapper.AttendanceMapper;
import cn.com.ty.lift.enterprise.oa.mapper.LiftCertificateHistoryMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 业务实现层 - 表：lift_certificate
 *
 * @since 2019-11-25 17:53:19
 */
@Service("attendanceService")
public class AttendanceService extends ServiceImpl<AttendanceMapper,Attendance>{

    @Autowired
    private AttendanceMapper attendanceMapper;


    public List<Attendance> selectByCondition(int pageNum, int pageSize, Long mtCompanyId, String name, Date begin, Date end) {
        IPage<Attendance> page = new Page<>(pageNum, pageSize);
        return attendanceMapper.selectByCondition(page, mtCompanyId, name, begin, end);
    }

}